Subject: Re: [PATCH net-next v3] net: phy: micrel: add phy-mode support for the KSZ9031 PHY

From: Andrew Lunn <[email-masked]>
Date: Tue, 28 Apr 2020 17:47:18 +0200

On Tue, Apr 28, 2020 at 05:28:30PM +0200, Geert Uytterhoeven wrote:
> This triggers on Renesas Salvator-X(S):
> 
>     Micrel KSZ9031 Gigabit PHY e6800000.ethernet-ffffffff:00:
> *-skew-ps values should be used only with phy-mode = "rgmii"
> 
> which uses:
> 
>         phy-mode = "rgmii-txid";
> 
> and:
> 
>         rxc-skew-ps = <1500>;
> 
> If I understand Documentation/devicetree/bindings/net/ethernet-controller.yaml
> correctly:

Hi Geert

Checking for skews which might contradict the PHY-mode is new. I think
this is the first PHY driver to do it. So i'm not too surprised it has
triggered a warning, or there is contradictory documentation.

Your use cases is reasonable. Have the normal transmit delay, and a
bit shorted receive delay. So we should allow it. It just makes the
validation code more complex :-(

	   Andrew